modulator_nd.cpp File Reference

Implementation of vector (MIMO) modulator classes. More...

`#include <itpp/comm/modulator_nd.h>`
`#include <itpp/comm/commfunc.h>`
`#include <itpp/base/algebra/cholesky.h>`
`#include <itpp/base/algebra/inv.h>`
`#include <itpp/base/matfunc.h>`
`#include <itpp/base/math/elem_math.h>`
`#include <itpp/base/math/log_exp.h>`
`#include <itpp/base/converters.h>`
`#include <itpp/base/itcompat.h>`
`#include <itpp/base/sort.h>`
`#include <itpp/stat/misc_stat.h>`
`#include <cmath>`
`#include <iostream>`
`#include <iomanip>`

Go to the source code of this file.

## Namespaces

namespace | itpp
| itpp namespace

## Functions

std::ostream & | itpp::operator<< (std::ostream &os, const Modulator_NRD &m)
| Print some properties of the MIMO modulator (mainly to aid debugging)
std::ostream & | itpp::operator<< (std::ostream &os, const Modulator_NCD &m)
| Print some properties of the MIMO modulator (mainly to aid debugging)

## Detailed Description

Implementation of vector (MIMO) modulator classes.

Author
  Mirsad Cirkic, Erik G. Larsson and Adam Piatyszek

Copyright (C) 1995-2012 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file modulator_nd.cpp.

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8